/*
 * kickallbots.sp
 * Copyright (c) 2021 Ed <https://d-rine.com/~ed/>
 *
 * Permission to use, copy, modify, and distribute this software for any
 * purpose with or without fee is hereby granted, provided that the above
 * copyright notice and this permission notice appear in all copies.
 *
 * THE SOFTWARE IS PROVIDED "AS IS" AND THE AUTHOR DISCLAIMS ALL WARRANTIES
 * WITH REGARD TO THIS SOFTWARE INCLUDING ALL IMPLIED WARRANTIES OF
 * MERCHANTABILITY AND FITNESS. IN NO EVENT SHALL THE AUTHOR BE LIABLE FOR
 * ANY SPECIAL, DIRECT, INDIRECT, OR CONSEQUENTIAL DAMAGES OR ANY DAMAGES
 * WHATSOEVER RESULTING FROM LOSS OF USE, DATA OR PROFITS, WHETHER IN AN
 * ACTION OF CONTRACT, NEGLIGENCE OR OTHER TORTIOUS ACTION, ARISING OUT OF
 * OR IN CONNECTION WITH THE USE OR PERFORMANCE OF THIS SOFTWARE.
 */

#define PLUGIN_VERSION		"0.2-rev3"
#define PLUGIN_NAME		"Kick All Bots"

#include <sourcemod>
#include "edlib.sp"

public Plugin:myinfo =
{
	name = PLUGIN_NAME,
	author = "EDSHOT",
	description = "Allows players to remove all bots without admin",
	version = PLUGIN_VERSION
};

public void OnPluginStart()
{
	RegConsoleCmd("sm_kickallbot", functionKickBots);
	RegConsoleCmd("sm_kickallbots", functionKickBots);
	LoadTranslations("edshot_kickallbots.phrases");
}

public Action:functionKickBots(client, args)
{
	new String:name[64];
	for (int p = 1; p <= GetMaxClients(); p++)
	{
		if (IsClientInGame(p) && IsFakeClient(p) && GetClientTeam(p) == 2)
		{
			GetClientName(p, name, sizeof(name));
			KickClient(p);
			PrintToChatAllTranslated1C("KickedBot", "[SM] ", "", name);
		}
	}
	return Plugin_Handled;
}
